Get License

Get License
Get license

Get license.

Request
URI
GET
https://{api_host}/licensing/licenses/{license-id}
COPY
Path Parameters
string
license-id
Required

License ID


Authentication
This operation uses the following authentication methods.
Responses
200

Get license.

Returns License of type(s) application/json
{
    "license_id": "string",
    "license_type": "string",
    "sku_code": "string",
    "support_product_id": "string",
    "product_display_name": "string",
    "product_family": "string",
    "product_type": "string",
    "quantity": 0,
    "unit_of_measure": "string",
    "status": "string",
    "expiration_date": 0,
    "grace_period": "string",
    "inactive_grace_period": "string",
    "inactive_grace_period_enabled": false,
    "inactive_grace_period_expiration_date": 0,
    "expiration_pre_warning": "string",
    "license_warnings": [
        {
            "warning_date": 0,
            "warning_reason": "string",
            "pre_warning_period": "string"
        }
    ],
    "subscriptions": [
        {
            "serial_number": "string",
            "allocation_quantity": 0,
            "start_date": 0,
            "end_date": 0
        }
    ],
    "license_token": "string"
}
string
license_id
Optional

ID of the license.

string
license_type
Optional

Type of License.

Enumeration: SUBSCRIPTION, EVAL
string
sku_code
Optional

Security SKU code of the license.

string
support_product_id
Optional

Product Id for support.

string
product_display_name
Optional

Display name of the product.

string
product_family
Optional

This refers to the family of the product. (e.g., 'AVI LOAD BALANCER' or 'ADVANCED THREAT PREVENTION', ...).

string
product_type
Optional

Type of product.

Enumeration: BASE, ADDON
integer As int32 As int32
quantity
Optional

Total assigned quantity for the license.

string
unit_of_measure
Optional

Unit of measure. Examples include Core for Firewall and ATP SKUs, and Service Units (SU) for AVI Load Balancer SKUs.

string
status
Optional

License Status.

Enumeration: ACTIVE, INACTIVE
integer As int64 As int64
expiration_date
Optional

Timestamp in milliseconds since epoch.

string
grace_period
Optional

This refers to the additional time after a license expires during which the software continues to function normally in ISO 8601 duration format. Some examples using the ISO 8601 duration format: P90D means a grace period of 90 days. P1M represents a grace period of 1 month.

string
inactive_grace_period
Optional

Inactive grace period in ISO 8601 duration format (e.g. P90D).

boolean
inactive_grace_period_enabled
Optional

Indicates whether the license is in inactive grace period.

integer As int64 As int64
inactive_grace_period_expiration_date
Optional

Timestamp in milliseconds since epoch.

string
expiration_pre_warning
Optional

Pre-warning period for expiration in ISO 8601 duration format (e.g. P60D).

array of object
license_warnings
Optional

Array of license warning details

array of object
subscriptions
Optional

Array of subscription details

string
license_token
Read-Only

This is a license jwt token. This represents license entitlement spec in a jwt format.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/licensing/licenses/{license-id}